#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "EGameState.h"
#include "UObject/NoExportTypes.h"
#include "HoHStatData.generated.h"

USTRUCT(BlueprintType)
struct FHoHStatData : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EGameState State;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSoftObjectPath IconPath;

public:
	DEADBYDAYLIGHT_API FHoHStatData();
};

FORCEINLINE uint32 GetTypeHash(const FHoHStatData) { return 0; }
